Subject: Re: bug#6584: 23.2; M-p (comint-previous-input) breaks intermittently in telnet-mode.

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Dec 2020 18:45:32 +0100

David Keegan <[email-masked]> writes:

> 1. M-p (comint-previous-input) breaks. Instead of retrieving
> the previous command to the RHS of the prompt it places it
> on the LHS of the prompt where it is useless.
>
> This is caused by function
> telnet-check-software-type-initialize which sets
> comint-prompt-regexp inappropriately to "^[^*>\n]*[*>] *"
> when it sees "its" in the remote host output.

(This bug report unfortunately got no response at the time.)

I'm unable to reproduce this in Emacs 28.

> 2. Spurious prompts for a password if "passw" happens to
> occur in the remote host output.

This bug is still present on the current trunk.  To reproduce

emacs -Q
M-x rsh RET hostname RET
touch /tmp/passw
ls /tmp/

Emacs will now query you for a password in the minibuffer.

And things are kinda odd all over.  If I have:

[larsi@stories ~]$

and then

[larsi@stories ~]$ cd RET

I get

[larsi@stories ~]$ [larsi@stories ~]$ 

this is the case with all commands that don't output anything.

My guess is that nobody has used the rsh command in a while?  At least
not over ssh?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no